INCLUDES =  $(all_includes) -I../../kmfwidgets -I../../ipteditor
METASOURCES = AUTO
kde_module_LTLIBRARIES =  libkmfruletargetoptionedit_tos.la

libkmfruletargetoptionedit_tos_la_LDFLAGS = -module -no-undefined \
	$(all_libraries) $(KDE_PLUGIN) $(LIB_TQT) $(LIB_TDECORE) $(LIB_TDEUI) $(LIB_TDEIO)
libkmfruletargetoptionedit_tos_la_LIBADD = \
	../../core/libkmfcore.la $(LIB_TDEPARTS)
noinst_HEADERS =  kmfruletargetoptionedittos.h kmfruleeditortos.h 

libkmfruletargetoptionedit_tos_la_SOURCES = kmfruletargetoptionedittos.cpp kmfruleeditortos.cpp kmyfirewallruleeditortos.ui

partdesktopdir = $(kde_servicesdir)
partdesktop_DATA = kmfruletargetoptionedit_tos.desktop

install-data-local:
	$(mkinstalldirs) $(DESTDIR)$(kde_datadir)/kmyfirewall/ruleoptions/
	$(INSTALL_DATA)  $(srcdir)/kmfruleoption_target_tos_reject_option.xml $(DESTDIR)$(kde_datadir)/kmyfirewall/ruleoptions/kmfruleoption_target_tos_reject_option.xml


uninstall-local:
	-rm -f $(DESTDIR)$(kde_datadir)/kmyfirewall/ruleoptions/kmfruleoption_target_tos_reject_option.xml
